-file("pulse_otp-1.44.1/src/pulse_sys.erl", 0).
-module(pulse_sys).

-export([compiled/0]).
-compile({parse_transform, pulse_instrument}).
-include("../include/pulse_otp.hrl").

-ifdef(OTP_R17).
-include("pulse_sys_r17.erl").

-else.
-ifdef(OTP_R18).
-include("pulse_sys_r18.erl").

-else.
-ifdef(OTP_R19).
-include("pulse_sys_r19.erl").

-else.
-ifdef(OTP_R20).
-include("pulse_sys_r20.erl").

-else.
-ifdef(OTP_R21).
-include("pulse_sys_r21.erl").

-else.
-error("Unsupported OTP release").
-endif.
-endif.
-endif.
-endif.
-endif.

compiled() -> ?COMPILED.


